Subject: Re: fileutils 4.0
From: Bob McGowan <[email-masked]>
To: Andre Oliveira da Costa <[email-masked]>
Cc: Cygwin <[email-masked]>
Date: Tue, 14 Dec 1999 09:25:55 -0800

Andre,

Andre Oliveira da Costa wrote:
> 
> Hi,
> 
> has anybody out there compiled version 4.0 of fileutils for cygwin? The
> B20.1 version of cygwin that I installed came with version 3.16 of
> fileutils, and I downloaded the sources of version 4.0 to give it a try. The
> configure script ran with no noticeable problems, and so did the
> compilation. But, during the 'make check' phase, something bad happened:
> 
> [snip]
> Making check in cp
> /tmp/fileutils-4.0/tests/cp
> make  check-TESTS
> PASS: backup-1
> /tmp/fileutils-4.0/tests/cp/b
> PASS: no-deref-link1
> /tmp/fileutils-4.0/tests/cp/b
> PASS: no-deref-link2
> PASS: no-deref-link3
> PASS: backup-is-src
> FAIL: same-file

I'd guess that this is a case-sensitivity (or non-sensitivity, in this
case) issue.  The tests were made to work under UNIX so if any of the
filenames differ only in the case of the alpha characters, the test will
fail on any Windows system.

You could change the test scripts or simply ignore any errors relating
to "same-file" statements.  Ignoring the errors may be difficult if the
make exits for each error condition.  You could try using the -i to
ignore errors or a -k to abandon work on the current item but continue
with the next.  Check the man page for make for details on the options.

Good luck.

-- 
Bob McGowan
Staff Software Quality Engineer
VERITAS Software
[email-masked]

--
Want to unsubscribe from this list?
Send a message to [email-masked]